Bug 1035998 - (CVE-2013-6410) CVE-2013-6410 nbd: incorrect parsing of access control file in nbd-server
CVE-2013-6410 nbd: incorrect parsing of access control file in nbd-server
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131128,repor...
: Security
Depends On: 1035999 1036000
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-29 02:17 EST by Ratul Gupta
Modified: 2015-08-19 04:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 03:33:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-11-29 02:17:03 EST
nbd-server has the ability to deny connection requests to clients unless their IP addresses are listed in a tcpwrappers-style configuration file.

Due to incorrect use of strncmp() in the parser for this file, however, it would allow clients to connect so long as their IP address in ASCII representation would start with something in the ACL file; e.g., 198.51.100.12 would be allowed if 198.51.100.1 was listed.

References:
http://seclists.org/oss-sec/2013/q4/366
Comment 1 Ratul Gupta 2013-11-29 02:18:29 EST
Created nbd tracking bugs for this issue:

Affects: fedora-all [bug 1035999]
Affects: epel-6 [bug 1036000]
Comment 2 Christopher Meng 2013-11-30 08:22:43 EST
I can't find any reference of fix/bug report. The version in the fedora is the latest.

Can you shed some lights to me?
Comment 3 Fedora Update System 2013-12-11 21:51:27 EST
nbd-3.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-12-11 21:59:19 EST
nbd-3.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-12-13 22:36:07 EST
nbd-3.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.